apiVersion: maistra.io/v1
kind: ServiceMeshControlPlane
metadata:
  creationTimestamp: "2019-07-31T14:27:25Z"
  finalizers:
  - istio-operator-ControlPlane
  generation: 1
  name: install-istio-system
  namespace: istio-system
  resourceVersion: "7306747"
  selfLink: /apis/maistra.io/v1/namespaces/istio-system/servicemeshcontrolplanes/install-istio-system
  uid: 50fc055d-b39f-11e9-9846-fa163e0b400e
spec:
  istio:
    gateways:
      istio-egressgateway:
        autoscaleEnabled: false
      istio-ingressgateway:
        autoscaleEnabled: false
        ports:
        - name: status-port
          port: 15020
          targetPort: 15020
        - name: http2
          port: 80
          targetPort: 80
        - name: https
          port: 443
        - name: tls
          port: 15443
          targetPort: 15443
        type: ClusterIP
    global:
      controlPlaneSecurityEnabled: false
      hub: quay.io/maistra
      imagePullPolicy: Always
      imagePullSecrets:
      - maistra-kiali-pull-secret
      mtls:
        enabled: false
      multitenant: true
      proxy:
        resources:
          limits:
            cpu: 500m
            memory: 128Mi
          requests:
            cpu: 100m
            memory: 128Mi
      tag: latest-qe
    grafana:
      enabled: true
    istio_cni:
      enabled: true
    kiali:
      enabled: true
      hub: quay.io/kiali
      tag: v1.0.1
    mixer:
      policy:
        autoscaleEnabled: false
      telemetry:
        autoscaleEnabled: false
        resources:
          limits:
            cpu: 500m
            memory: 4G
          requests:
            cpu: 100m
            memory: 1G
    pilot:
      autoscaleEnabled: false
      traceSampling: 100
    threeScale:
      enabled: true
      hub: quay.io/3scale
      tag: 0.7.1
    tracing:
      enabled: true
      jaeger:
        hub: quay.io/maistra
        tag: 1.13.1
        template: all-in-one
status:
  conditions:
  - lastTransitionTime: "2019-07-31T14:30:46Z"
    reason: InstallSuccessful
    status: "True"
    type: Installed
  - lastTransitionTime: "2019-07-31T14:30:46Z"
    reason: InstallSuccessful
    status: "True"
    type: Reconciled
  observedGeneration: 1
